%define jsoncpp_major 0
%define libname %mklibname %name %{jsoncpp_major}
%define develname %mklibname -d %name

Name:       libjson-rpc-cpp
Version:    0.6.0
Release:    %mkrel 2
Summary:    C++ JSON Library
License:    Public Domain
Group:      System/Libraries
Url:        http://jsoncpp.sourceforge.net/
Source0:    %{name}-%{version}.zip
Patch0:		libjson-rpc-cpp-0.6.0-gcc.patch
Patch1:		libjson-rpc-cpp-0.6.0-cmake.patch
#To generate docs
BuildRequires: 	cmake
BuildRequires: 	curl-devel
BuildRequires: 	pkgconfig(libmicrohttpd)
BuildRequires:	jsoncpp-devel
BuildRequires:	argtable2-devel

%description
JsonCpp is a simple API to manipulate JSON value, handle serialization
and unserialization to string.

%package -n %libname
Summary:        JsonCpp library
Group:          System/Libraries

%description -n %libname
This framework provides cross platform JSON-RPC (remote procedure call)
support for C++. It is fully JSON-RPC 2.0 & 1.0 compatible.

%package -n     %{develname}
Summary:        Development files for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:	json-rpc-cpp-devel = %{version}-%{release}
Provides:	libjson-rpc-cpp-devel = %{version}-%{release}

%description -n    %{develname}
It can also preserve existing comment in unserialization/serialization steps,
making it a convenient format to store user input files.

Files for building applications with %{name} support.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%cmake  -DCOMPILE_TESTS=NO -DCOMPILE_STUBGEN=NO -DCATCH_INCLUDE_DIR=%{_includedir}/catch -DFULL_PATH_LIBDIR=%{_libdir} -DFULL_PATH_INCLUDEDIR=%{_includedir}

%build
%make_build -C build

%install
%make_install -C build

%files -n %libname
%{_libdir}/libjsonrpccpp-*.so.%{jsoncpp_major}*

%files -n %develname
%{_includedir}/jsonrpccpp/*
%{_libdir}/libjsonrpccpp-*.so
%doc AUTHORS.md CHANGELOG.md LICENSE.txt README.md
%{_libdir}/pkgconfig/*.pc



%changelog
* Mon Jan 02 2017 akien <akien> 0.6.0-2.mga6
+ Revision: 1079578
- Rebuild for libjsoncpp changed soname

* Tue Aug 09 2016 dlucio <dlucio> 0.6.0-1.mga6
+ Revision: 1045066
- Provides were not fixed
- imported package libjson-rpc-cpp

